# Enzyme Protocol

![Build Status](https://github.com/avantgardefinance/protocol/workflows/CI/badge.svg)
![Coverage Status](https://coveralls.io/repos/github/avantgardefinance/protocol/badge.svg?branch=develop&t=5QSBFe)

Enzyme is an Ethereum-based protocol for decentralized on-chain asset management. It is a protocol for people or entities to manage their wealth & the wealth of others within a customizable and safe environment. Enzyme empowers anyone to set up, manage and invest in customized on-chain investment vehicles.

## Install

### Prerequisites

- [node](https://www.nodejs.org)
- [yarn](https://www.yarnpkg.com)

```sh
git clone git@github.com:avantgardefinance/protocol.git
cd protocol
yarn install
```

## Compile contracts

```sh
yarn compile
```

## Test

```sh
yarn test
```

## Contribute

See [our contributing instructions](CONTRIBUTING.md).

Please note that all repositories hosted under this organization follow our [Code of Conduct](CODE_OF_CONDUCT.md), make sure to review and follow it.

### Security Issues

If you find a vulnerability that may affect live or testnet deployments, please send your report privately to [security@enzyme.finance](mailto:security@enzyme.finance). Please **DO NOT** file a public issue.
